### Function

# Vips Area new_array_object

#### Declaration [src]

    VipsArea*
    vips_area_new_array_object (
      int n
    )

#### Description [src]

An area which holds an array of `GObject` s. See `vips_area_new_array()`. When the area is freed, each `GObject` will be unreffed.

Add an extra `NULL` element at the end, handy for eg. `vips_image_pipeline_array()` etc.

See also

`vips_area_unref()`.

#### Parameters

`n`

  Type: `int`

  Number of elements in the array.

#### Return value

Type: `VipsArea`

The new `VipsArea`.

The caller of the function takes ownership of the data, and is responsible for freeing it.